diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 78ab8f3b..2eb7f59f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -1039,18 +1037,18 @@ define('pgadmin.node.table', [
                       self.model.table_options = res.data;
                     }
                     else {
-                      alertify.alert(
+                      Alertify.alert(
                         gettext('Error fetching tables to be attached'), res.data.result
                       );
                     }
                   },
                   error: function(e) {
                     var errmsg = $.parseJSON(e.responseText);
-                    alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
-                  }
+                    Alertify.alert(gettext('Error fetching tables to be attached'), errmsg.errormsg);
+                  },
                 });
               }
-            }
+            },
           }
           ),
           canAdd: function(m) {
@@ -1061,7 +1059,7 @@ define('pgadmin.node.table', [
           visible: function(m) {
             if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
               && !_.isUndefined(m.node_info.server.version) &&
-              m.node_info.server.version >= 100000)
+                m.node_info.server.version >= 100000)
               return true;
 
             return false;
@@ -1070,12 +1068,10 @@ define('pgadmin.node.table', [
             if (m.isNew() && m.get('partitions') && m.get('partitions').models.length > 0) {
               setTimeout(function () {
                 var coll = m.get('partitions');
-                coll.remove(coll.filter(function(model) {
-                  return true;
-                }));
+                coll.remove(coll.filter(function() { return true; }));
               }, 10);
             }
-          }
+          },
         },{
           id: 'partition_note', label: gettext('Partitions'),
           type: 'note', group: 'partition',
@@ -1090,57 +1086,55 @@ define('pgadmin.node.table', [
             '<br>',
             gettext('Example'),
             ':<ul><li>',
-            gettext("From/To: Enabled for range partition. Consider partitioned table with multiple keys of type Integer, then values should be specified like '100','200'."),
+            gettext('From/To: Enabled for range partition. Consider partitioned table with multiple keys of type Integer, then values should be specified like \'100\',\'200\'.'),
             '</li><li> ',
             gettext('In: Enabled for list partition. Values must be comma(,) separated and quoted with single quote.'),
-            '</li></ul></li></ul>'
+            '</li></ul></li></ul>',
           ].join(''),
           visible: function(m) {
             if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
               && !_.isUndefined(m.node_info.server.version) &&
-              m.node_info.server.version >= 100000)
+                m.node_info.server.version >= 100000)
               return true;
 
             return false;
-          }
+          },
         },{
           // Here - we will create tab control for storage parameters
           // (auto vacuum).
           type: 'nested', control: 'tab', group: gettext('Parameter'),
           mode: ['edit', 'create'], deps: ['is_partitioned'],
-          schema: Backform.VacuumSettingsSchema
+          schema: Backform.VacuumSettingsSchema,
         },{
           id: 'relacl_str', label: gettext('Privileges'), disabled: 'inSchema',
-          type: 'text', mode: ['properties'], group: gettext('Security')
+          type: 'text', mode: ['properties'], group: gettext('Security'),
         }, pgBrowser.SecurityGroupSchema,{
           id: 'relacl', label: gettext('Privileges'), type: 'collection',
           group: 'security', control: 'unique-col-collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-          privileges: ['a','r','w','d','D','x','t']}),
+            privileges: ['a','r','w','d','D','x','t']}),
           mode: ['edit', 'create'], canAdd: true, canDelete: true,
-          uniqueCol : ['grantee']
+          uniqueCol : ['grantee'],
         },{
           id: 'seclabels', label: gettext('Security labels'), canEdit: false,
           model: pgBrowser.SecLabelModel, editable: false, canAdd: true,
           type: 'collection', min_version: 90100, mode: ['edit', 'create'],
-          group: 'security', canDelete: true, control: 'unique-col-collection'
+          group: 'security', canDelete: true, control: 'unique-col-collection',
         },{
           id: 'vacuum_settings_str', label: gettext('Storage settings'),
-          type: 'multiline', group: gettext('Advanced'), mode: ['properties']
+          type: 'multiline', group: gettext('Advanced'), mode: ['properties'],
         }],
-        validate: function(keys) {
-          var err = {},
-              changedAttrs = this.changed,
-              msg = undefined,
-              name = this.get('name'),
-              schema = this.get('schema'),
-              relowner = this.get('relowner'),
-              is_partitioned = this.get('is_partitioned'),
-              partition_keys = this.get('partition_keys');
+        validate: function() {
+          var msg,
+            name = this.get('name'),
+            schema = this.get('schema'),
+            relowner = this.get('relowner'),
+            is_partitioned = this.get('is_partitioned'),
+            partition_keys = this.get('partition_keys');
 
           if (
             _.isUndefined(name) || _.isNull(name) ||
-            String(name).replace(/^\s+|\s+$/g, '') == ''
+              String(name).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Table name cannot be empty.');
             this.errorModel.set('name', msg);
@@ -1149,7 +1143,7 @@ define('pgadmin.node.table', [
           this.errorModel.unset('name');
           if (
             _.isUndefined(schema) || _.isNull(schema) ||
-            String(schema).replace(/^\s+|\s+$/g, '') == ''
+              String(schema).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Table schema cannot be empty.');
             this.errorModel.set('schema', msg);
@@ -1158,7 +1152,7 @@ define('pgadmin.node.table', [
           this.errorModel.unset('schema');
           if (
             _.isUndefined(relowner) || _.isNull(relowner) ||
-            String(relowner).replace(/^\s+|\s+$/g, '') == ''
+              String(relowner).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Table owner cannot be empty.');
             this.errorModel.set('relowner', msg);
@@ -1167,7 +1161,7 @@ define('pgadmin.node.table', [
           this.errorModel.unset('relowner');
           if (
             is_partitioned && this.isNew() &&
-            !_.isNull(partition_keys) && partition_keys.length <= 0
+              !_.isNull(partition_keys) && partition_keys.length <= 0
           ) {
             msg = gettext('Please specify at least one key for partitioned table.');
             this.errorModel.set('partition_keys', msg);
@@ -1189,7 +1183,7 @@ define('pgadmin.node.table', [
             if(
               (!_.isUndefined(m.get('coll_inherits')) && m.get('coll_inherits').length != 0)
                 ||
-                  (!_.isUndefined(m.get('typname')) && String(m.get('typname')).replace(/^\s+|\s+$/g, '') !== '')
+                (!_.isUndefined(m.get('typname')) && String(m.get('typname')).replace(/^\s+|\s+$/g, '') !== '')
             ) {
               // Either of_types or coll_inherits has value
               return false;
@@ -1204,15 +1198,15 @@ define('pgadmin.node.table', [
           // Disabled if it is partitioned table
           if (m.get('is_partitioned')) {
             setTimeout( function() {
-               m.set('coll_inherits', []);
+              m.set('coll_inherits', []);
             }, 10);
             return true;
           }
 
           // coll_inherits || typname
           if(!m.inSchema.apply(this, [m]) &&
-              ( _.isUndefined(m.get('typname')) ||
-                _.isNull(m.get('typname')) ||
+            ( _.isUndefined(m.get('typname')) ||
+              _.isNull(m.get('typname')) ||
                 String(m.get('typname')).replace(/^\s+|\s+$/g, '') == '')) {
             return false;
           }
@@ -1221,8 +1215,8 @@ define('pgadmin.node.table', [
         // We will disable Like if ofType is defined
         isLikeDisable: function(m) {
           if(!m.inSchemaWithModelCheck.apply(this, [m]) &&
-              ( _.isUndefined(m.get('typname')) ||
-                _.isNull(m.get('typname')) ||
+            ( _.isUndefined(m.get('typname')) ||
+              _.isNull(m.get('typname')) ||
                 String(m.get('typname')).replace(/^\s+|\s+$/g, '') == '')) {
             return false;
           }
@@ -1234,10 +1228,10 @@ define('pgadmin.node.table', [
           if(!m.inSchema.apply(this, [m])) {
             // if of_type then disable add in grid
             if (!_.isUndefined(m.get('typname')) &&
-                !_.isNull(m.get('typname')) &&
+              !_.isNull(m.get('typname')) &&
                 m.get('typname') !== '') {
-                    enable_flag = false;
-                }
+              enable_flag = false;
+            }
           }
           return enable_flag;
         },
@@ -1245,8 +1239,8 @@ define('pgadmin.node.table', [
         check_grid_row_edit_delete: function(m) {
           var flag = true;
           if(!_.isUndefined(m.get('inheritedfrom')) &&
-               !_.isNull(m.get('inheritedfrom')) &&
-               String(m.get('inheritedfrom')).replace(/^\s+|\s+$/g, '') !== '') {
+            !_.isNull(m.get('inheritedfrom')) &&
+              String(m.get('inheritedfrom')).replace(/^\s+|\s+$/g, '') !== '') {
             flag = false;
           }
           return flag;
@@ -1255,9 +1249,9 @@ define('pgadmin.node.table', [
         checkOfType: function(m) {
           //coll_inherits || typname
           if(!m.inSchemaWithModelCheck.apply(this, [m]) &&
-              (_.isUndefined(m.get('coll_inherits')) ||
-               _.isNull(m.get('coll_inherits')) ||
-               String(m.get('coll_inherits')).replace(/^\s+|\s+$/g, '') == '')) {
+            (_.isUndefined(m.get('coll_inherits')) ||
+              _.isNull(m.get('coll_inherits')) ||
+                String(m.get('coll_inherits')).replace(/^\s+|\s+$/g, '') == '')) {
             return false;
           }
           return true;
@@ -1279,7 +1273,7 @@ define('pgadmin.node.table', [
           // We need to check additional condition to toggle enable/disable
           // for table auto-vacuum
           if(!m.inSchema.apply(this, [m]) &&
-              m.get('autovacuum_enabled') === true) {
+            m.get('autovacuum_enabled') === true) {
             return false;
           }
           return true;
@@ -1288,27 +1282,26 @@ define('pgadmin.node.table', [
           // We need to check additional condition to toggle enable/disable
           // for toast table auto-vacuum
           if(!m.inSchemaWithModelCheck.apply(this, [m]) &&
-              m.get('toast_autovacuum_enabled') == true) {
+            m.get('toast_autovacuum_enabled') == true) {
             return false;
           }
           return true;
         },
         fetch_columns_ajax: function(arg) {
           var self = this,
-              url = 'get_columns',
-              m = self.model.top || self.model,
-              old_columns = _.clone(m.get('columns')),
-              data = undefined,
-              node = this.field.get('schema_node'),
-              node_info = this.field.get('node_info'),
-              full_url = node.generate_url.apply(
-                node, [
-                  null, url, this.field.get('node_data'),
-                  this.field.get('url_with_id') || false, node_info
-                ]
-              ),
-              cache_level = this.field.get('cache_level') || node.type,
-              cache_node = this.field.get('cache_node');
+            url = 'get_columns',
+            m = self.model.top || self.model,
+            data = undefined,
+            node = this.field.get('schema_node'),
+            node_info = this.field.get('node_info'),
+            full_url = node.generate_url.apply(
+              node, [
+                null, url, this.field.get('node_data'),
+                this.field.get('url_with_id') || false, node_info,
+              ]
+            ),
+            cache_level = this.field.get('cache_level') || node.type,
+            cache_node = this.field.get('cache_node');
 
           cache_node = (cache_node && pgBrowser.Nodes[cache_node]) || node;
 
@@ -1323,40 +1316,40 @@ define('pgadmin.node.table', [
             },
             error: function() {
               m.trigger('pgadmin:view:fetch:error', m, self.field);
-            }
+            },
           });
           m.trigger('pgadmin:view:fetched', m, self.field);
           data = (data && data.data) || [];
           return data;
-        }
+        },
       }),
       canCreate: function(itemData, item, data) {
-          //If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        //If check is false then , we will allow create menu
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData;
-          // To iterate over tree to check parent node
-          while (i) {
-            // If it is schema then allow user to create table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return true;
+        var t = pgBrowser.tree, i = item, d = itemData;
+        // To iterate over tree to check parent node
+        while (i) {
+          // If it is schema then allow user to create table
+          if (_.indexOf(['schema'], d._type) > -1)
+            return true;
 
-            if ('coll-table' == d._type) {
-              //Check if we are not child of catalog
-              var prev_i = t.hasParent(i) ? t.parent(i) : null,
+          if ('coll-table' == d._type) {
+            //Check if we are not child of catalog
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
               prev_d = prev_i ? t.itemData(prev_i) : null;
-              if( prev_d._type == 'catalog') {
-                return false;
-              } else {
-                return true;
-              }
+            if( prev_d._type == 'catalog') {
+              return false;
+            } else {
+              return true;
             }
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
           }
-          // by default we do not want to allow create menu
-          return true;
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
+        // by default we do not want to allow create menu
+        return true;
       },
       // Check to whether table has disable trigger(s)
       canCreate_with_trigger_enable: function(itemData, item, data) {
@@ -1381,22 +1374,24 @@ define('pgadmin.node.table', [
         }
       },
       onTableUpdated: function(_node, _oldNodeData, _newNodeData) {
+        var key, childIDs;
         if (
-          _newNodeData.is_partitioned && 'affected_partitions' in _newNodeData
+          _newNodeData.is_partitioned &&
+            'affected_partitions' in _newNodeData
         ) {
           var partitions = _newNodeData.affected_partitions,
-              idx, node_info, self = this,
-              newPartitionsIDs = [],
-              insertChildTreeNodes = [],
-              insertChildrenNodes = function() {
-                if (!insertChildTreeNodes.length)
-                  return;
-                var option = insertChildTreeNodes.pop();
-                pgBrowser.addChildTreeNodes(
-                  option.treeHierarchy, option.parent, option.type,
-                  option.childrenIDs, insertChildrenNodes
-                );
-              };
+            self = this,
+            newPartitionsIDs = [],
+            insertChildTreeNodes = [],
+            insertChildrenNodes = function() {
+              if (!insertChildTreeNodes.length)
+                return;
+              var option = insertChildTreeNodes.pop();
+              pgBrowser.addChildTreeNodes(
+                option.treeHierarchy, option.parent, option.type,
+                option.childrenIDs, insertChildrenNodes
+              );
+            }, schemaNode ;
 
           if ('detached' in partitions && partitions.detached.length > 0) {
             // Remove it from the partition collections node first
@@ -1406,15 +1401,15 @@ define('pgadmin.node.table', [
               )
             );
 
-            var schemaNode = pgBrowser.findParentTreeNodeByType(
-                  _node, 'schema'
-                ),
-                detachedBySchema = _.groupBy(
-                  partitions.detached,
-                  function(_d) { return parseInt(_d.schema_id); }
-                ), childIDs;
+            schemaNode = pgBrowser.findParentTreeNodeByType(
+              _node, 'schema'
+            );
+            var detachedBySchema = _.groupBy(
+              partitions.detached,
+              function(_d) { return parseInt(_d.schema_id); }
+            );
 
-            for (var key in detachedBySchema) {
+            for (key in detachedBySchema) {
               schemaNode = pgBrowser.findSiblingTreeNode(schemaNode, key);
 
               if (schemaNode) {
@@ -1431,8 +1426,11 @@ define('pgadmin.node.table', [
                   insertChildTreeNodes.push({
                     'parent': tablesCollNode,
                     'type': 'table',
-                    'treeHierarchy': pgAdmin.Browser.Nodes.schema.getTreeNodeHierarchy(schemaNode),
-                    'childrenIDs': _.clone(childIDs)
+                    'treeHierarchy':
+                      pgAdmin.Browser.Nodes.schema.getTreeNodeHierarchy(
+                        schemaNode
+                      ),
+                    'childrenIDs': _.clone(childIDs),
                   });
                 }
               }
@@ -1440,15 +1438,15 @@ define('pgadmin.node.table', [
           }
 
           if ('attached' in partitions && partitions.attached.length > 0) {
-            var schemaNode = pgBrowser.findParentTreeNodeByType(
-                  _node, 'schema'
-                ),
-                attachedBySchema = _.groupBy(
-                  partitions.attached,
-                  function(_d) { return parseInt(_d.schema_id); }
-                ), childIDs;
-
-            for (var key in attachedBySchema) {
+            schemaNode = pgBrowser.findParentTreeNodeByType(
+              _node, 'schema'
+            );
+            var attachedBySchema = _.groupBy(
+              partitions.attached,
+              function(_d) { return parseInt(_d.schema_id); }
+            );
+
+            for (key in attachedBySchema) {
               schemaNode = pgBrowser.findSiblingTreeNode(schemaNode, key);
 
               if (schemaNode) {
@@ -1472,8 +1470,6 @@ define('pgadmin.node.table', [
           }
 
           if (newPartitionsIDs.length) {
-            node_info = self.getTreeNodeHierarchy(_node);
-
             var partitionsCollNode = pgBrowser.findChildCollectionTreeNode(
               _node, 'coll-partition'
             );
@@ -1483,7 +1479,7 @@ define('pgadmin.node.table', [
                 'parent': partitionsCollNode,
                 'type': 'partition',
                 'treeHierarchy': self.getTreeNodeHierarchy(_node),
-                'childrenIDs': newPartitionsIDs
+                'childrenIDs': newPartitionsIDs,
               });
             }
           }
@@ -1494,7 +1490,7 @@ define('pgadmin.node.table', [
         // Clear Table's cache as column's type is dependent on two node
         // 1) Type node 2) Domain node
         this.clear_cache.apply(this, null);
-      }
+      },
     });
   }
 
